[ovs-dev] [PATCH] datapath: Fix version check in compat gre.h

Jarno Rajahalme jarno.rajahalme at nsn.com
Fri Jun 28 09:22:33 UTC 2013


Taken the version checks in datapath/linux/compat/gre.c this seems correct.

Signed-off-by: Jarno Rajahalme <jarno.rajahalme at nsn.com>
---
 datapath/linux/compat/include/net/gre.h |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/datapath/linux/compat/include/net/gre.h b/datapath/linux/compat/include/net/gre.h
index 139e4ab..bd0c3d4 100644
--- a/datapath/linux/compat/include/net/gre.h
+++ b/datapath/linux/compat/include/net/gre.h
@@ -4,10 +4,10 @@
 #include <linux/skbuff.h>
 #include <net/ip_tunnels.h>
 
-#if LINUX_VERSION_CODE > KERNEL_VERSION(2,6,37)
+#if LINUX_VERSION_CODE >= KERNEL_VERSION(2,6,37)
 #include_next <net/gre.h>
 
-#else /* LINUX_VERSION_CODE <= KERNEL_VERSION(2,6,37) */
+#else /* LINUX_VERSION_CODE < KERNEL_VERSION(2,6,37) */
 
 #define GREPROTO_CISCO		0
 #define GREPROTO_MAX		2
-- 
1.7.10.4




More information about the dev mailing list